"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const Vue = require("vue");
function renderComponent({ el, component, props, appContext }) {
  let app = Vue.createApp(component, props);
  Object.assign(app._context, appContext);
  app.config.warnHandler = () => null;
  app.mount(el);
  return () => {
    app == null ? void 0 : app.unmount();
    app = void 0;
  };
}
exports.default = renderComponent;
